import {
  a as o
} from "./chunk-NDNECGXU.js";
import {
  a as s,
  c as u
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/ejs.js
var r = u((p, g) => {
  var i = o();
  g.exports = t;
  t.displayName = "ejs";
  t.aliases = ["eta"];
  function t(n) {
    n.register(i), function(e) {
      e.languages.ejs = {
        delimiter: {
          pattern: /^<%[-_=]?|[-_]?%>$/,
          alias: "punctuation"
        },
        comment: /^#[\s\S]*/,
        "language-javascript": {
          pattern: /[\s\S]+/,
          inside: e.languages.javascript
        }
      }, e.hooks.add("before-tokenize", function(a) {
        var l = /<%(?!%)[\s\S]+?%>/g;
        e.languages["markup-templating"].buildPlaceholders(
          a,
          "ejs",
          l
        );
      }), e.hooks.add("after-tokenize", function(a) {
        e.languages["markup-templating"].tokenizePlaceholders(a, "ejs");
      }), e.languages.eta = e.languages.ejs;
    }(n);
  }
  s(t, "ejs");
});

export {
  r as a
};
